Description

Pour le moment I'application ne quitte jamais. Il
nous faut definir les comportements ou on doit
considerer I'application comme ferme et
comment acceder a cet etat.

History

#1 - 05/25/2009 01:42 AM - Jean-Manuel Da Silva

Lien alire :
[http://developer.android.com/guide/topics/fundamentals.html]

Une partie intéressante :

An activity can be shut down by calling its finish() method. One activity can shut down another activity (one it started with startActivityForResult())
by calling finishActivity().

A service can be stopped by calling its stopSelf() method, or by calling Context.stopService().

#2 - 05/25/2009 01:55 AM - Frédéric Barthéléry

Plus compliqué que ca.

Quand on stoppe un service il ne sera stoppé que quand il n'y aura plus d'activité qui I'utilise, donc pour vraiment le stopper il faudrait qu'on garde
une liste de toutes les activité qui utilise le service afin de pouvoir faire un finishActivity(). De plus il semble que le finishActivity ne marche que pour
les activity que pour les activité qui ont été lancé avec startActivityForResult()

#3 - 05/28/2009 07:32 PM - Frédéric Barthéléry
2 méthodes un peu crades mais qui devraient avoir le mérite de marcher

/* Way one */
android.os.Process.killProcess (android.os.Process.myPid())

/* Way Two */
System.exit (0);

#4 - 05/28/2009 11:18 PM - Jean-Manuel Da Silva

C'est immonde. Jamais je n'intégrerais un truc pareil.

#5 - 05/29/2009 12:21 AM - Jean-Manuel Da Silva

Bon, voici la solution propre que je propose :

1 - Créer une classe héritant de la classe ActivityGroup permettant de gérer I'ensemble des activités de notre application grace a un
LocalActivityManager.

1 - L'activité Login se lance et utilise maintenant un ActivityGroup pour gérer toutes les autres activités qu'elle lance.

2 - Lorsque l'on veut quitter, il reste plus qu'a appeler la methode removeAllActivities() du LocalActivityManager. Puis de se tuer soit méme, en faisant
un finish().

Bisous doux,
Moi aussi je vous aime.

#6 - 05/29/2009 02:23 PM - Frédéric Barthéléry

Jean-Manuel Da Silva wrote:
Bon, voici la solution propre que je propose :

1 - Créer une classe héritant de la classe ActivityGroup permettant de gérer I'ensemble des activités de notre application grace a un
LocalActivityManager.

1 - L'activité Login se lance et utilise maintenant un ActivityGroup pour gérer toutes les autres activités qu'elle lance.

2 - Lorsque l'on veut quitter, il reste plus qu'a appeler la methode removeAllActivities() du LocalActivityManager. Puis de se tuer soit méme, en
faisant un finish().

A mon avis, ca va imposer beaucoup trop de changement et ce sera bien trop difficile a gerer. Ne serait ce que pour garder une trace de toutes les
activity que I'on lance. Pour ca il faut que I'activity login lance toutes les autres activities et c'est juste impossible de gerer les notifications comme ca.

Je rajoute encore que la seule implementation de ActivityGroup c'est TabActivity. Ce qui me laisse penser que toutes les activites que I'on start avec
ca doivent etre placees dans une autre activity. En fait avec startActivity on obtient une window que I'on doit placer et ca va vraiment etre delicat a
faire correctement je pense.

#7 - 05/29/2009 03:10 PM - Jean-Manuel Da Silva

Moi je pense que t'es un vrai goret dans 'ame.

#8 - 06/09/2009 04:50 PM - Vincent Véronis

- Tracker changed from Bug to Feature

#9 - 06/25/2009 12:01 PM - Jean-Manuel Da Silva
- Status changed from Assigned to Feedback

- Assignee changed from Jean-Manuel Da Silva to Frédéric Barthéléry

#10 - 06/27/2009 10:29 AM - Frédéric Barthéléry

Au final en ce qui concerne la fermeture de I'application je trouve ca pas mal comme ca.
Apres comme l'a dit la meuf du lab'eip lors de la soutenance faudrait peut etre un bouton pour killer tout....

#11 - 10/19/2009 11:35 PM - Frédéric Barthéléry
- Status changed from Feedback to Closed
- % Done changed from 0 to 100
